# Checkout Options (DOMS)

Endpoints used by shops to get the current available pickup stores and available service levels like Same-Day delivery.

## Create fulfillability

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Deprecated: Use /api/promises instead.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints used by shops to get the current available pickup stores and available service levels like Same-Day delivery.","name":"Checkout Options (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FulfillabilityQuery":{"description":"Provides the paramters you are interested in. You must supply at least either the shipping or the collect attribute as the description of the last mile expectation.","properties":{"collect":{"description":"The geofence (a gps coordinate and a radius around that coordinate) for considered facilities to collect the goods.","properties":{"geoFence":{"$ref":"#/components/schemas/GeoFence"}},"required":["geoFence"],"type":"object"},"constraints":{"description":"Constraints can be used to further cut down the list of resulting facilities. Important: ALL of the given constraints will be matched against the resulting list of facilities!","items":{"$ref":"#/components/schemas/AbstractFulfillabilityConstraintType"},"type":"array"},"estimatedOrderDate":{"description":"The point in time when the order estimated to be supplied to fulfillmenttools platform, e.g. calling this endpoint during checkout, you would most likely put the timestamp for 'now' in here.","format":"date-time","type":"string"},"shipping":{"description":"You want information about the shipping possibility - more detailed parameters  can be described here.","properties":{"serviceLevels":{"description":"The kind of servicelevel you want to query as being part of the consumer expectation of delivery","items":{"$ref":"#/components/schemas/CarrierDeliveryType"},"minItems":1,"type":"array"},"targetAddress":{"$ref":"#/components/schemas/StrippedShippingTargetAddress"}},"required":["serviceLevels","targetAddress"],"type":"object"}},"required":["estimatedOrderDate"],"type":"object","title":"FulfillabilityQuery"},"GeoFence":{"description":"Center (described with lon and lat attributes) and a circular geofence (described as radius around the center)","properties":{"lat":{"description":"The latitude of the center, provided as decimal coordinate","type":"number"},"lon":{"description":"The longitude of the center, provided as decimal coordinate","type":"number"},"radius":{"description":"Radius around the center in kilometers (km, max. 100)","minimum":1,"type":"number"}},"required":["lat","lon","radius"],"type":"object","title":"GeoFence"},"AbstractFulfillabilityConstraintType":{"properties":{"type":{"description":"Type of the constraint (must be supported by the fulfillmenttools platform).","enum":["ITEMS"],"type":"string"},"value":{"description":"Additional parameters needed for the referenced type of constraint.","type":"object"}},"type":"object","title":"AbstractFulfillabilityConstraintType","description":"AbstractFulfillabilityConstraintType"},"CarrierDeliveryType":{"description":"Provided delivery of this CEP. Default: DELIVERY","enum":["SAMEDAY","DELIVERY"],"type":"string","title":"CarrierDeliveryType"},"StrippedShippingTargetAddress":{"properties":{"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"postalCode":{"pattern":"^.+","type":"string"}},"type":"object","title":"StrippedShippingTargetAddress","description":"StrippedShippingTargetAddress"},"Fulfillability":{"description":"The response to a fulfillability request.","properties":{"collect":{"properties":{"facilities":{"items":{"$ref":"#/components/schemas/FulfillabilityFacility"},"type":"array"}},"type":"object"},"shipping":{"description":"Results for the fulfillment of a shipping order for the parameters provided in the query","properties":{"DELIVERY":{"description":"Depicts wether the servicelevel DELIVERY is available.","properties":{"available":{"description":"Depicts wether the servicelevel DELIVERY is available","type":"boolean"}},"required":["available"],"type":"object"},"SAMEDAY":{"description":"This service level means, that the consumer expects a package the same day.","properties":{"available":{"description":"Depicts wether the servicelevel SAMEDAY is available","type":"boolean"},"validUntil":{"description":"This information is most likely valid until this date (there are circumstances when this information becomes stale earlier).","format":"date-time","type":"string"}},"required":["available"],"type":"object"}},"type":"object"}},"type":"object","title":"Fulfillability"},"FulfillabilityFacility":{"allOf":[{"$ref":"#/components/schemas/StrippedManagedFacility"}],"title":"FulfillabilityFacility","description":"FulfillabilityFacility"},"StrippedManagedFacility":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/Address"},{"properties":{"id":{"type":"string"},"name":{"description":"name of the facility","type":"string"},"status":{"$ref":"#/components/schemas/FacilityStatus"},"tenantFacilityId":{"description":"The id of the facility in the tenants own system","type":"string"},"type":{"$ref":"#/components/schemas/FacilityType"}},"required":["id","status","type"],"type":"object"}],"title":"StrippedManagedFacility","description":"StrippedManagedFacility"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"FacilityStatus":{"description":"The state of the facility. ONLINE means that this facility can process new orders and pickjobs, SUSPENDED means it cannot get new orders but is able to fulfill the current workload and OFFLINE means that it cannot fulfill any new or existing orders. Processes already running might be rescheduled to another facility depending on the preferences.","enum":["ONLINE","SUSPENDED","OFFLINE"],"type":"string","title":"FacilityStatus"},"FacilityType":{"default":"MANAGED_FACILITY","enum":["MANAGED_FACILITY","SUPPLIER"],"type":"string","xml":{"name":"FacilityType"},"title":"FacilityType","description":"FacilityType"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/fulfillability":{"post":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Deprecated: Use /api/promises instead.","operationId":"queryFulfillability","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FulfillabilityQuery"}}},"description":"Representation that describes the fulfillability query","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fulfillability"}}},"description":"The result of the fulfillability ."},"204":{"description":"There was no result of the fulfillability request. Please make sure to provide at least one of the attributes shipping or collect."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create fulfillability","tags":["Checkout Options (DOMS)"]}}}}
```

## Create click and collect fulfillability

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Deprecated: Use /api/promises instead.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints used by shops to get the current available pickup stores and available service levels like Same-Day delivery.","name":"Checkout Options (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FulfillabilityClickAndCollectQuery":{"description":"Provides the paramters you are interested in. You must supply at least the articles you are interested in","properties":{"articles":{"items":{"properties":{"quantity":{"type":"number"},"tenantArticleId":{"type":"string"}},"required":["tenantArticleId"],"type":"object"},"minItems":1,"type":"array"},"deliveryCountry":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"deliveryPostalCode":{"type":"string"},"deliveryPreferences":{"$ref":"#/components/schemas/DeliveryPreferences"},"facilityRefs":{"items":{"type":"string"},"type":"array"},"geoFence":{"$ref":"#/components/schemas/GeoFence"}},"required":["articles"],"title":"FulfillabilityClickAndCollectQuery"},"DeliveryPreferences":{"additionalProperties":false,"properties":{"collect":{"items":{"$ref":"#/components/schemas/CollectDelivery"},"maxItems":1,"type":"array"},"reservationPreferences":{"$ref":"#/components/schemas/DeliveryReservationPreferences"},"shipping":{"$ref":"#/components/schemas/DeliveryPreferencesShipping"},"sourcingOptionRefs":{"description":"Id of the SourcingOptions","items":{"description":"Reference of a SourcingOptions","type":"string"},"type":"array"},"supplyingFacilities":{"description":"@deprecated Use supplyingFacilities under collect","items":{"description":"Reference of a Facility","type":"string"},"type":"array"},"targetTime":{"description":"At which time the result is expected.","format":"date-time","type":"string"}},"type":"object","title":"DeliveryPreferences","description":"DeliveryPreferences"},"CollectDelivery":{"anyOf":[{"required":["facilityRef"]},{"required":["tenantFacilityId"]}],"properties":{"facilityRef":{"description":"Reference to the facility where the consumer expects to collect the items","type":"string"},"paid":{"default":false,"description":"Indicates if the order is already paid.","type":"boolean"},"provisioningTime":{"description":"The point in time by which the order is supposed to be provisioned.","format":"date-time","type":"string"},"supplyingFacilities":{"deprecated":true,"description":"@deprecated Use supplyingFacilitiesConfigurations","items":{"description":"Reference of a Facility.","type":"string"},"type":"array"},"supplyingFacilitiesConfigurations":{"description":"References of facility that could supply contents of the order to another facility with specific configuration of its usage","items":{"$ref":"#/components/schemas/SupplyingFacilityConfiguration"},"type":"array"},"tenantFacilityId":{"description":"Reference to the facility where the consumer expects to collect the items.","type":"string"}},"type":"object","title":"CollectDelivery","description":"CollectDelivery"},"SupplyingFacilityConfiguration":{"anyOf":[{"required":["facilityRef"]},{"required":["tenantFacilityId"]}],"properties":{"deliveryEvents":{"items":{"$ref":"#/components/schemas/DeliveryEvent"},"type":"array"},"facilityRef":{"description":"ID of the facility.","type":"string"},"tenantFacilityId":{"description":"Reference to the facility.","type":"string"}},"required":["deliveryEvents"],"title":"SupplyingFacilityConfiguration","description":"SupplyingFacilityConfiguration"},"DeliveryEvent":{"properties":{"deliveryTarget":{"$ref":"#/components/schemas/DeliveryTarget"},"deliveryTrigger":{"enum":["DEFAULT"],"type":"string"}},"required":["deliveryTarget","deliveryTrigger"],"title":"DeliveryEvent","description":"DeliveryEvent"},"DeliveryTarget":{"description":"The destination for a delivery","enum":["SHIP_TO_STORE","SHIP_TO_CUSTOMER"],"type":"string","title":"DeliveryTarget"},"DeliveryReservationPreferences":{"properties":{"mode":{"$ref":"#/components/schemas/DeliveryReservationMode"},"reservationTime":{"format":"date-time","type":"string"}},"required":["mode"],"type":"object","title":"DeliveryReservationPreferences","description":"DeliveryReservationPreferences"},"DeliveryReservationMode":{"enum":["SCHEDULED","ASAP","ALAP"],"title":"DeliveryReservationMode","description":"DeliveryReservationMode"},"DeliveryPreferencesShipping":{"properties":{"carrierProductCategory":{"$ref":"#/components/schemas/CarrierProductCategory"},"desiredDeliveryTime":{"format":"date-time","type":"string"},"preferredCarriers":{"items":{"$ref":"#/components/schemas/PreferredCarrier"},"type":"array"},"preferredCarriersWithProduct":{"items":{"$ref":"#/components/schemas/PreferredCarrierWithProduct"},"type":"array"},"preselectedFacilities":{"items":{"$ref":"#/components/schemas/PreselectedFacility"},"type":"array"},"serviceLevel":{"description":"DELIVERY: The parcel will reach the recipient according to the cycle time of the carrier, typically 1-3 days when shipping nationaly. SAMEDAY: The parcel will reach the recipient the same day when ordering.","enum":["DELIVERY","SAMEDAY"],"type":"string"}},"type":"object","title":"DeliveryPreferencesShipping","description":"DeliveryPreferencesShipping"},"CarrierProductCategory":{"description":"Desired product class to choose when ordering a label, this is not a carrier specific value","enum":["STANDARD","EXPRESS","VALUE","FORWARDING"],"type":"string","title":"CarrierProductCategory"},"PreferredCarrier":{"description":"Keys of the preferred carriers to handle out the order","type":"string","title":"PreferredCarrier"},"PreferredCarrierWithProduct":{"additionalProperties":false,"properties":{"carrierKey":{"type":"string"},"carrierProduct":{"type":"string"},"carrierServices":{"items":{"$ref":"#/components/schemas/CarrierServices"},"type":"array"}},"required":["carrierKey"],"title":"PreferredCarrierWithProduct","description":"PreferredCarrierWithProduct"},"CarrierServices":{"description":"Services which should be booked from carrier","enum":["SIGNATURE","CUSTOMER_SIGNATURE","ADULT_SIGNATURE","SATURDAY_DELIVERY","IDENTITY_CHECK_COMPANY","IDENTITY_CHECK_PRIVATE","ADDITIONAL_TRANSPORTATION_INSURANCE"],"type":"string","title":"CarrierServices"},"PreselectedFacility":{"anyOf":[{"required":["facilityRef"]},{"required":["tenantFacilityId"]}],"properties":{"facilityRef":{"description":"Reference to the facility which is supposed to fulfill the order.","type":"string"},"tenantFacilityId":{"description":"Reference to the facility which is supposed to fulfill the order.","type":"string"}},"type":"object","title":"PreselectedFacility","description":"PreselectedFacility"},"GeoFence":{"description":"Center (described with lon and lat attributes) and a circular geofence (described as radius around the center)","properties":{"lat":{"description":"The latitude of the center, provided as decimal coordinate","type":"number"},"lon":{"description":"The longitude of the center, provided as decimal coordinate","type":"number"},"radius":{"description":"Radius around the center in kilometers (km, max. 100)","minimum":1,"type":"number"}},"required":["lat","lon","radius"],"type":"object","title":"GeoFence"},"FulfillabilityResult":{"properties":{"fulfillability":{"items":{"$ref":"#/components/schemas/FulfillabilityDetail"},"type":"array"}},"required":["details"],"title":"FulfillabilityResult","description":"FulfillabilityResult"},"FulfillabilityDetail":{"properties":{"address":{"$ref":"#/components/schemas/FacilityAddress"},"articleAvailabilities":{"items":{"$ref":"#/components/schemas/ArticleAvailability"},"type":"array"},"closingDays":{"items":{"$ref":"#/components/schemas/ClosingDay"},"type":"array"},"facilityName":{"type":"string"},"facilityRef":{"type":"string"},"pickingTimes":{"$ref":"#/components/schemas/PickingTimes"},"targetTime":{"format":"date-time","type":"string"},"tenantFacilityId":{"type":"string"}},"required":["facilityRef","facilityName","address","articleAvailabilities"],"title":"FulfillabilityDetail","description":"FulfillabilityDetail"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZoneForCreation","description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"ArticleAvailability":{"properties":{"availabilityTimeframe":{"$ref":"#/components/schemas/AvailabilityTimeframe"},"availableStock":{"type":"number"},"outOfStockBehaviour":{"$ref":"#/components/schemas/OutOfStockBehaviour"},"tenantArticleId":{"type":"string"}},"required":["tenantArticleId","availableStock"],"title":"ArticleAvailability","description":"ArticleAvailability"},"AvailabilityTimeframe":{"properties":{"start":{"format":"date-time","type":"string"}},"type":"object","title":"AvailabilityTimeframe","description":"AvailabilityTimeframe"},"OutOfStockBehaviour":{"description":"The PREORDER and RESTOCK can be only set, when the depending outOfStockConfig is provided.\nAlso PREORDER and RESTOCK values are in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","enum":["NONE","BACKORDER","PREORDER","RESTOCK","PREORDER_AND_RESTOCK"],"type":"string","title":"OutOfStockBehaviour"},"ClosingDay":{"description":"At this day the facility is closed and does not do picking","properties":{"date":{"description":"The day at which the Facility is closed","format":"date-time","type":"string"},"reason":{"description":"The reason why the Facility is closed on this day","type":"string"},"recurrence":{"enum":["YEARLY","NONRECURRING"],"type":"string"}},"required":["reason","date","recurrence"],"type":"object","title":"ClosingDay"},"PickingTimes":{"description":"Time ranges defining the picking times per weekday. No overlapping ranges are allowed. There must be no overlaps for time ranges on a day","properties":{"friday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"monday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"saturday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"sunday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"thursday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"tuesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"wednesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"}},"type":"object","title":"PickingTimes"},"TimeRange":{"properties":{"capacity":{"minimum":0,"type":"number"},"end":{"$ref":"#/components/schemas/TimeStamp"},"start":{"$ref":"#/components/schemas/TimeStamp"}},"required":["start","end"],"type":"object","title":"TimeRange","description":"TimeRange"},"TimeStamp":{"properties":{"hour":{"maximum":23,"minimum":0,"type":"number"},"minute":{"maximum":59,"minimum":0,"type":"number"}},"required":["hour","minute"],"type":"object","title":"TimeStamp","description":"TimeStamp"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/fulfillability/clickandcollect":{"post":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Deprecated: Use /api/promises instead.","operationId":"queryFulfillabilityClickAndCollect","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FulfillabilityClickAndCollectQuery"}}},"description":"Representation that describes the fulfillability query","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FulfillabilityResult"}}},"description":"The result of the fulfillability for click and collect."},"204":{"description":"There was no result of the fulfillability request. Please make sure to provide at least one of the attributes shipping or collect."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create click and collect fulfillability","tags":["Checkout Options (DOMS)"]}}}}
```

## Create ship from store fulfillability

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Deprecated: Use /api/promises instead.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints used by shops to get the current available pickup stores and available service levels like Same-Day delivery.","name":"Checkout Options (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FulfillabilityShipFromStoreQuery":{"description":"Provides the paramters you are interested in. You must supply at least the articles you are interested in","properties":{"articles":{"items":{"properties":{"quantity":{"type":"number"},"tenantArticleId":{"type":"string"}},"required":["tenantArticleId"],"type":"object"},"minItems":1,"type":"array"},"deliveryCountry":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"deliveryPostalCode":{"type":"string"},"deliveryPreferences":{"$ref":"#/components/schemas/DeliveryPreferences"},"facilityRefs":{"items":{"type":"string"},"type":"array"},"geoFence":{"$ref":"#/components/schemas/GeoFence"}},"required":["articles"],"title":"FulfillabilityShipFromStoreQuery"},"DeliveryPreferences":{"additionalProperties":false,"properties":{"collect":{"items":{"$ref":"#/components/schemas/CollectDelivery"},"maxItems":1,"type":"array"},"reservationPreferences":{"$ref":"#/components/schemas/DeliveryReservationPreferences"},"shipping":{"$ref":"#/components/schemas/DeliveryPreferencesShipping"},"sourcingOptionRefs":{"description":"Id of the SourcingOptions","items":{"description":"Reference of a SourcingOptions","type":"string"},"type":"array"},"supplyingFacilities":{"description":"@deprecated Use supplyingFacilities under collect","items":{"description":"Reference of a Facility","type":"string"},"type":"array"},"targetTime":{"description":"At which time the result is expected.","format":"date-time","type":"string"}},"type":"object","title":"DeliveryPreferences","description":"DeliveryPreferences"},"CollectDelivery":{"anyOf":[{"required":["facilityRef"]},{"required":["tenantFacilityId"]}],"properties":{"facilityRef":{"description":"Reference to the facility where the consumer expects to collect the items","type":"string"},"paid":{"default":false,"description":"Indicates if the order is already paid.","type":"boolean"},"provisioningTime":{"description":"The point in time by which the order is supposed to be provisioned.","format":"date-time","type":"string"},"supplyingFacilities":{"deprecated":true,"description":"@deprecated Use supplyingFacilitiesConfigurations","items":{"description":"Reference of a Facility.","type":"string"},"type":"array"},"supplyingFacilitiesConfigurations":{"description":"References of facility that could supply contents of the order to another facility with specific configuration of its usage","items":{"$ref":"#/components/schemas/SupplyingFacilityConfiguration"},"type":"array"},"tenantFacilityId":{"description":"Reference to the facility where the consumer expects to collect the items.","type":"string"}},"type":"object","title":"CollectDelivery","description":"CollectDelivery"},"SupplyingFacilityConfiguration":{"anyOf":[{"required":["facilityRef"]},{"required":["tenantFacilityId"]}],"properties":{"deliveryEvents":{"items":{"$ref":"#/components/schemas/DeliveryEvent"},"type":"array"},"facilityRef":{"description":"ID of the facility.","type":"string"},"tenantFacilityId":{"description":"Reference to the facility.","type":"string"}},"required":["deliveryEvents"],"title":"SupplyingFacilityConfiguration","description":"SupplyingFacilityConfiguration"},"DeliveryEvent":{"properties":{"deliveryTarget":{"$ref":"#/components/schemas/DeliveryTarget"},"deliveryTrigger":{"enum":["DEFAULT"],"type":"string"}},"required":["deliveryTarget","deliveryTrigger"],"title":"DeliveryEvent","description":"DeliveryEvent"},"DeliveryTarget":{"description":"The destination for a delivery","enum":["SHIP_TO_STORE","SHIP_TO_CUSTOMER"],"type":"string","title":"DeliveryTarget"},"DeliveryReservationPreferences":{"properties":{"mode":{"$ref":"#/components/schemas/DeliveryReservationMode"},"reservationTime":{"format":"date-time","type":"string"}},"required":["mode"],"type":"object","title":"DeliveryReservationPreferences","description":"DeliveryReservationPreferences"},"DeliveryReservationMode":{"enum":["SCHEDULED","ASAP","ALAP"],"title":"DeliveryReservationMode","description":"DeliveryReservationMode"},"DeliveryPreferencesShipping":{"properties":{"carrierProductCategory":{"$ref":"#/components/schemas/CarrierProductCategory"},"desiredDeliveryTime":{"format":"date-time","type":"string"},"preferredCarriers":{"items":{"$ref":"#/components/schemas/PreferredCarrier"},"type":"array"},"preferredCarriersWithProduct":{"items":{"$ref":"#/components/schemas/PreferredCarrierWithProduct"},"type":"array"},"preselectedFacilities":{"items":{"$ref":"#/components/schemas/PreselectedFacility"},"type":"array"},"serviceLevel":{"description":"DELIVERY: The parcel will reach the recipient according to the cycle time of the carrier, typically 1-3 days when shipping nationaly. SAMEDAY: The parcel will reach the recipient the same day when ordering.","enum":["DELIVERY","SAMEDAY"],"type":"string"}},"type":"object","title":"DeliveryPreferencesShipping","description":"DeliveryPreferencesShipping"},"CarrierProductCategory":{"description":"Desired product class to choose when ordering a label, this is not a carrier specific value","enum":["STANDARD","EXPRESS","VALUE","FORWARDING"],"type":"string","title":"CarrierProductCategory"},"PreferredCarrier":{"description":"Keys of the preferred carriers to handle out the order","type":"string","title":"PreferredCarrier"},"PreferredCarrierWithProduct":{"additionalProperties":false,"properties":{"carrierKey":{"type":"string"},"carrierProduct":{"type":"string"},"carrierServices":{"items":{"$ref":"#/components/schemas/CarrierServices"},"type":"array"}},"required":["carrierKey"],"title":"PreferredCarrierWithProduct","description":"PreferredCarrierWithProduct"},"CarrierServices":{"description":"Services which should be booked from carrier","enum":["SIGNATURE","CUSTOMER_SIGNATURE","ADULT_SIGNATURE","SATURDAY_DELIVERY","IDENTITY_CHECK_COMPANY","IDENTITY_CHECK_PRIVATE","ADDITIONAL_TRANSPORTATION_INSURANCE"],"type":"string","title":"CarrierServices"},"PreselectedFacility":{"anyOf":[{"required":["facilityRef"]},{"required":["tenantFacilityId"]}],"properties":{"facilityRef":{"description":"Reference to the facility which is supposed to fulfill the order.","type":"string"},"tenantFacilityId":{"description":"Reference to the facility which is supposed to fulfill the order.","type":"string"}},"type":"object","title":"PreselectedFacility","description":"PreselectedFacility"},"GeoFence":{"description":"Center (described with lon and lat attributes) and a circular geofence (described as radius around the center)","properties":{"lat":{"description":"The latitude of the center, provided as decimal coordinate","type":"number"},"lon":{"description":"The longitude of the center, provided as decimal coordinate","type":"number"},"radius":{"description":"Radius around the center in kilometers (km, max. 100)","minimum":1,"type":"number"}},"required":["lat","lon","radius"],"type":"object","title":"GeoFence"},"FulfillabilityResult":{"properties":{"fulfillability":{"items":{"$ref":"#/components/schemas/FulfillabilityDetail"},"type":"array"}},"required":["details"],"title":"FulfillabilityResult","description":"FulfillabilityResult"},"FulfillabilityDetail":{"properties":{"address":{"$ref":"#/components/schemas/FacilityAddress"},"articleAvailabilities":{"items":{"$ref":"#/components/schemas/ArticleAvailability"},"type":"array"},"closingDays":{"items":{"$ref":"#/components/schemas/ClosingDay"},"type":"array"},"facilityName":{"type":"string"},"facilityRef":{"type":"string"},"pickingTimes":{"$ref":"#/components/schemas/PickingTimes"},"targetTime":{"format":"date-time","type":"string"},"tenantFacilityId":{"type":"string"}},"required":["facilityRef","facilityName","address","articleAvailabilities"],"title":"FulfillabilityDetail","description":"FulfillabilityDetail"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZoneForCreation","description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"ArticleAvailability":{"properties":{"availabilityTimeframe":{"$ref":"#/components/schemas/AvailabilityTimeframe"},"availableStock":{"type":"number"},"outOfStockBehaviour":{"$ref":"#/components/schemas/OutOfStockBehaviour"},"tenantArticleId":{"type":"string"}},"required":["tenantArticleId","availableStock"],"title":"ArticleAvailability","description":"ArticleAvailability"},"AvailabilityTimeframe":{"properties":{"start":{"format":"date-time","type":"string"}},"type":"object","title":"AvailabilityTimeframe","description":"AvailabilityTimeframe"},"OutOfStockBehaviour":{"description":"The PREORDER and RESTOCK can be only set, when the depending outOfStockConfig is provided.\nAlso PREORDER and RESTOCK values are in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","enum":["NONE","BACKORDER","PREORDER","RESTOCK","PREORDER_AND_RESTOCK"],"type":"string","title":"OutOfStockBehaviour"},"ClosingDay":{"description":"At this day the facility is closed and does not do picking","properties":{"date":{"description":"The day at which the Facility is closed","format":"date-time","type":"string"},"reason":{"description":"The reason why the Facility is closed on this day","type":"string"},"recurrence":{"enum":["YEARLY","NONRECURRING"],"type":"string"}},"required":["reason","date","recurrence"],"type":"object","title":"ClosingDay"},"PickingTimes":{"description":"Time ranges defining the picking times per weekday. No overlapping ranges are allowed. There must be no overlaps for time ranges on a day","properties":{"friday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"monday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"saturday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"sunday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"thursday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"tuesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"wednesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"}},"type":"object","title":"PickingTimes"},"TimeRange":{"properties":{"capacity":{"minimum":0,"type":"number"},"end":{"$ref":"#/components/schemas/TimeStamp"},"start":{"$ref":"#/components/schemas/TimeStamp"}},"required":["start","end"],"type":"object","title":"TimeRange","description":"TimeRange"},"TimeStamp":{"properties":{"hour":{"maximum":23,"minimum":0,"type":"number"},"minute":{"maximum":59,"minimum":0,"type":"number"}},"required":["hour","minute"],"type":"object","title":"TimeStamp","description":"TimeStamp"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/fulfillability/shipfromstore":{"post":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Deprecated: Use /api/promises instead.","operationId":"queryFulfillabilityShipFromStore","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FulfillabilityShipFromStoreQuery"}}},"description":"Representation that describes the fulfillability query","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FulfillabilityResult"}}},"description":"The result of the fulfillability for ship from store."},"204":{"description":"There was no result of the fulfillability request."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create ship from store fulfillability","tags":["Checkout Options (DOMS)"]}}}}
```

## List all record items (search cached for 5 minutes)

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Search for LookupRecordItem

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints used by shops to get the current available pickup stores and available service levels like Same-Day delivery.","name":"Checkout Options (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LookupRecordItemSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/LookupRecordItemSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"LookupRecordItemSearchPayload","type":"object","description":"LookupRecordItemSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"LookupRecordItemSearchQuery":{"properties":{"and":{"items":{"$ref":"#/components/schemas/LookupRecordItemSearchQuery"},"maxItems":500,"type":"array"},"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"or":{"items":{"$ref":"#/components/schemas/LookupRecordItemSearchQuery"},"maxItems":500,"type":"array"},"recordRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by recordRef"},"tenantRecordId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by tenantRecordId"},"values":{"allOf":[{"$ref":"#/components/schemas/LookupRecordItemValuesListFilter"}],"description":"Nested list search by values"}},"title":"LookupRecordItemSearchQuery","type":"object","description":"LookupRecordItemSearchQuery"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"LookupRecordItemValuesListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/LookupRecordItemValuesFilter"}],"description":"Contains returns if at least one entry matches"}},"title":"LookupRecordItemValuesListFilter","type":"object","description":"LookupRecordItemValuesListFilter"},"LookupRecordItemValuesFilter":{"properties":{"attributeId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by attributeId"},"attributeValue":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by attributeValue"}},"title":"LookupRecordItemValuesFilter","type":"object","description":"LookupRecordItemValuesFilter"},"LookupRecordItemPaginatedResult":{"properties":{"lookupRecordItems":{"items":{"$ref":"#/components/schemas/LookupRecordItem"},"type":"array"},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","lookupRecordItems"],"title":"LookupRecordItemPaginatedResult","type":"object","description":"LookupRecordItemPaginatedResult"},"LookupRecordItem":{"properties":{"id":{"type":"string"},"recordRef":{"description":"Reference to the parent lookup record.","type":"string"},"tenantRecordId":{"description":"Tenant-specific identifier for the lookup record.","maxLength":20,"minLength":1,"type":"string"},"values":{"$ref":"#/components/schemas/LookupRecordItemValue","description":"Array of attribute-value pairs for the lookup record item.","items":{"type":"string"}}},"required":["recordRef","values","id"],"title":"LookupRecordItem","type":"object","description":"LookupRecordItem"},"LookupRecordItemValue":{"properties":{"attributeId":{"description":"Identifier of the attribute.","maxLength":100,"minLength":1,"type":"string"},"attributeValue":{"anyOf":[{"maxLength":150,"minLength":1,"type":"string"},{"type":"number"},{"enum":[null]}],"description":"Value of the attribute (can be string, number, or null)."}},"required":["attributeId","attributeValue"],"title":"LookupRecordItemValue","type":"object","description":"LookupRecordItemValue"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/lookuprecorditems/search":{"post":{"deprecated":false,"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Search for LookupRecordItem","operationId":"searchLookupRecordItem","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LookupRecordItemSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LookupRecordItemPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"List all record items (search cached for 5 minutes)","tags":["Checkout Options (DOMS)"]}}}}
```

## Get all lookup records

> Retrieves all lookup records.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints used by shops to get the current available pickup stores and available service levels like Same-Day delivery.","name":"Checkout Options (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LookupRecord":{"properties":{"attributeDefinitions":{"allOf":[{"$ref":"#/components/schemas/LookupAttributeDefinitions"}],"description":"Map of attribute definitions that specify the type for each attribute."},"created":{"description":"The date when the record was created.","format":"date-time","type":"string"},"id":{"type":"string"},"items":{"description":"Collection of items in the lookup record, each containing attribute values.","items":{"$ref":"#/components/schemas/LookupRecordItemStripped"},"type":"array"},"lastModified":{"description":"The date when the record was last modified.","format":"date-time","type":"string"},"tenantRecordId":{"description":"Tenant-specific identifier for the lookup record.","maxLength":20,"minLength":1,"type":"string"},"version":{"description":"The version of the record.","type":"number"}},"required":["id","version","attributeDefinitions","items"],"title":"LookupRecord","type":"object","description":"LookupRecord"},"LookupAttributeDefinitions":{"properties":{},"title":"LookupAttributeDefinitions","type":"object","description":"LookupAttributeDefinitions"},"LookupRecordItemStripped":{"properties":{"id":{"description":"Unique identifier for the lookup record item.","type":"string"},"values":{"description":"Array of attribute-value pairs for the lookup record item.","items":{"$ref":"#/components/schemas/LookupRecordItemValue"},"type":"array"}},"required":["values","id"],"title":"LookupRecordItemStripped","type":"object","description":"LookupRecordItemStripped"},"LookupRecordItemValue":{"properties":{"attributeId":{"description":"Identifier of the attribute.","maxLength":100,"minLength":1,"type":"string"},"attributeValue":{"anyOf":[{"maxLength":150,"minLength":1,"type":"string"},{"type":"number"},{"enum":[null]}],"description":"Value of the attribute (can be string, number, or null)."}},"required":["attributeId","attributeValue"],"title":"LookupRecordItemValue","type":"object","description":"LookupRecordItemValue"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/lookuprecords":{"get":{"deprecated":false,"description":"Retrieves all lookup records.","operationId":"getAllLookupRecords","parameters":[],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LookupRecord"}}},"description":"Successfully retrieved the lookup records."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get all lookup records","tags":["Checkout Options (DOMS)"]}}}}
```

## Create a lookup record by its ID

> Creates a single lookup record.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints used by shops to get the current available pickup stores and available service levels like Same-Day delivery.","name":"Checkout Options (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LookupRecordForCreation":{"properties":{"attributeDefinitions":{"allOf":[{"$ref":"#/components/schemas/LookupAttributeDefinitions"}],"description":"Map of attribute definitions that specify the type for each attribute."},"items":{"description":"Collection of items in the lookup record, each containing attribute values.","items":{"$ref":"#/components/schemas/LookupRecordItemForCreation"},"type":"array"},"tenantRecordId":{"description":"Tenant-specific identifier for the lookup record.","maxLength":20,"minLength":1,"type":"string"}},"required":["attributeDefinitions","items"],"title":"LookupRecordForCreation","type":"object","description":"LookupRecordForCreation"},"LookupAttributeDefinitions":{"properties":{},"title":"LookupAttributeDefinitions","type":"object","description":"LookupAttributeDefinitions"},"LookupRecordItemForCreation":{"properties":{"values":{"description":"Array of attribute-value pairs for the lookup record item.","items":{"$ref":"#/components/schemas/LookupRecordItemValue"},"type":"array"}},"required":["values"],"title":"LookupRecordItemForCreation","type":"object","description":"LookupRecordItemForCreation"},"LookupRecordItemValue":{"properties":{"attributeId":{"description":"Identifier of the attribute.","maxLength":100,"minLength":1,"type":"string"},"attributeValue":{"anyOf":[{"maxLength":150,"minLength":1,"type":"string"},{"type":"number"},{"enum":[null]}],"description":"Value of the attribute (can be string, number, or null)."}},"required":["attributeId","attributeValue"],"title":"LookupRecordItemValue","type":"object","description":"LookupRecordItemValue"},"LookupRecord":{"properties":{"attributeDefinitions":{"allOf":[{"$ref":"#/components/schemas/LookupAttributeDefinitions"}],"description":"Map of attribute definitions that specify the type for each attribute."},"created":{"description":"The date when the record was created.","format":"date-time","type":"string"},"id":{"type":"string"},"items":{"description":"Collection of items in the lookup record, each containing attribute values.","items":{"$ref":"#/components/schemas/LookupRecordItemStripped"},"type":"array"},"lastModified":{"description":"The date when the record was last modified.","format":"date-time","type":"string"},"tenantRecordId":{"description":"Tenant-specific identifier for the lookup record.","maxLength":20,"minLength":1,"type":"string"},"version":{"description":"The version of the record.","type":"number"}},"required":["id","version","attributeDefinitions","items"],"title":"LookupRecord","type":"object","description":"LookupRecord"},"LookupRecordItemStripped":{"properties":{"id":{"description":"Unique identifier for the lookup record item.","type":"string"},"values":{"description":"Array of attribute-value pairs for the lookup record item.","items":{"$ref":"#/components/schemas/LookupRecordItemValue"},"type":"array"}},"required":["values","id"],"title":"LookupRecordItemStripped","type":"object","description":"LookupRecordItemStripped"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/lookuprecords":{"post":{"deprecated":false,"description":"Creates a single lookup record.","operationId":"createLookupRecord","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LookupRecordForCreation"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LookupRecord"}}},"description":"Successfully created the lookup record."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Create a lookup record by its ID","tags":["Checkout Options (DOMS)"]}}}}
```

## Get a lookup record by its ID

> Retrieves a single lookup record using its unique identifier.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints used by shops to get the current available pickup stores and available service levels like Same-Day delivery.","name":"Checkout Options (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LookupRecord":{"properties":{"attributeDefinitions":{"allOf":[{"$ref":"#/components/schemas/LookupAttributeDefinitions"}],"description":"Map of attribute definitions that specify the type for each attribute."},"created":{"description":"The date when the record was created.","format":"date-time","type":"string"},"id":{"type":"string"},"items":{"description":"Collection of items in the lookup record, each containing attribute values.","items":{"$ref":"#/components/schemas/LookupRecordItemStripped"},"type":"array"},"lastModified":{"description":"The date when the record was last modified.","format":"date-time","type":"string"},"tenantRecordId":{"description":"Tenant-specific identifier for the lookup record.","maxLength":20,"minLength":1,"type":"string"},"version":{"description":"The version of the record.","type":"number"}},"required":["id","version","attributeDefinitions","items"],"title":"LookupRecord","type":"object","description":"LookupRecord"},"LookupAttributeDefinitions":{"properties":{},"title":"LookupAttributeDefinitions","type":"object","description":"LookupAttributeDefinitions"},"LookupRecordItemStripped":{"properties":{"id":{"description":"Unique identifier for the lookup record item.","type":"string"},"values":{"description":"Array of attribute-value pairs for the lookup record item.","items":{"$ref":"#/components/schemas/LookupRecordItemValue"},"type":"array"}},"required":["values","id"],"title":"LookupRecordItemStripped","type":"object","description":"LookupRecordItemStripped"},"LookupRecordItemValue":{"properties":{"attributeId":{"description":"Identifier of the attribute.","maxLength":100,"minLength":1,"type":"string"},"attributeValue":{"anyOf":[{"maxLength":150,"minLength":1,"type":"string"},{"type":"number"},{"enum":[null]}],"description":"Value of the attribute (can be string, number, or null)."}},"required":["attributeId","attributeValue"],"title":"LookupRecordItemValue","type":"object","description":"LookupRecordItemValue"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/lookuprecords/{recordId}":{"get":{"deprecated":false,"description":"Retrieves a single lookup record using its unique identifier.","operationId":"getLookupRecord","parameters":[{"in":"path","name":"recordId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LookupRecord"}}},"description":"Successfully retrieved the lookup record."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get a lookup record by its ID","tags":["Checkout Options (DOMS)"]}}}}
```

## Updates a whole lookup record by its ID

> Updates a single lookup record.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints used by shops to get the current available pickup stores and available service levels like Same-Day delivery.","name":"Checkout Options (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LookupRecordForUpdate":{"properties":{"attributeDefinitions":{"allOf":[{"$ref":"#/components/schemas/LookupAttributeDefinitions"}],"description":"Map of attribute definitions that specify the type for each attribute."},"items":{"description":"Collection of items in the lookup record, each containing attribute values.","items":{"$ref":"#/components/schemas/LookupRecordItemForCreation"},"type":"array"},"tenantRecordId":{"description":"Tenant-specific identifier for the lookup record.","maxLength":20,"minLength":1,"type":"string"},"version":{"description":"The version of the record.","type":"number"}},"required":["version","attributeDefinitions","items"],"title":"LookupRecordForUpdate","type":"object","description":"LookupRecordForUpdate"},"LookupAttributeDefinitions":{"properties":{},"title":"LookupAttributeDefinitions","type":"object","description":"LookupAttributeDefinitions"},"LookupRecordItemForCreation":{"properties":{"values":{"description":"Array of attribute-value pairs for the lookup record item.","items":{"$ref":"#/components/schemas/LookupRecordItemValue"},"type":"array"}},"required":["values"],"title":"LookupRecordItemForCreation","type":"object","description":"LookupRecordItemForCreation"},"LookupRecordItemValue":{"properties":{"attributeId":{"description":"Identifier of the attribute.","maxLength":100,"minLength":1,"type":"string"},"attributeValue":{"anyOf":[{"maxLength":150,"minLength":1,"type":"string"},{"type":"number"},{"enum":[null]}],"description":"Value of the attribute (can be string, number, or null)."}},"required":["attributeId","attributeValue"],"title":"LookupRecordItemValue","type":"object","description":"LookupRecordItemValue"},"LookupRecord":{"properties":{"attributeDefinitions":{"allOf":[{"$ref":"#/components/schemas/LookupAttributeDefinitions"}],"description":"Map of attribute definitions that specify the type for each attribute."},"created":{"description":"The date when the record was created.","format":"date-time","type":"string"},"id":{"type":"string"},"items":{"description":"Collection of items in the lookup record, each containing attribute values.","items":{"$ref":"#/components/schemas/LookupRecordItemStripped"},"type":"array"},"lastModified":{"description":"The date when the record was last modified.","format":"date-time","type":"string"},"tenantRecordId":{"description":"Tenant-specific identifier for the lookup record.","maxLength":20,"minLength":1,"type":"string"},"version":{"description":"The version of the record.","type":"number"}},"required":["id","version","attributeDefinitions","items"],"title":"LookupRecord","type":"object","description":"LookupRecord"},"LookupRecordItemStripped":{"properties":{"id":{"description":"Unique identifier for the lookup record item.","type":"string"},"values":{"description":"Array of attribute-value pairs for the lookup record item.","items":{"$ref":"#/components/schemas/LookupRecordItemValue"},"type":"array"}},"required":["values","id"],"title":"LookupRecordItemStripped","type":"object","description":"LookupRecordItemStripped"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/lookuprecords/{recordId}":{"put":{"deprecated":false,"description":"Updates a single lookup record.","operationId":"putLookupRecord","parameters":[{"in":"path","name":"recordId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LookupRecordForUpdate"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LookupRecord"}}},"description":"Successfully updated the lookup record."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Updates a whole lookup record by its ID","tags":["Checkout Options (DOMS)"]}}}}
```

## Delete a lookup record by its ID

> Deletes a single lookup record using its unique identifier.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints used by shops to get the current available pickup stores and available service levels like Same-Day delivery.","name":"Checkout Options (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LookupRecord":{"properties":{"attributeDefinitions":{"allOf":[{"$ref":"#/components/schemas/LookupAttributeDefinitions"}],"description":"Map of attribute definitions that specify the type for each attribute."},"created":{"description":"The date when the record was created.","format":"date-time","type":"string"},"id":{"type":"string"},"items":{"description":"Collection of items in the lookup record, each containing attribute values.","items":{"$ref":"#/components/schemas/LookupRecordItemStripped"},"type":"array"},"lastModified":{"description":"The date when the record was last modified.","format":"date-time","type":"string"},"tenantRecordId":{"description":"Tenant-specific identifier for the lookup record.","maxLength":20,"minLength":1,"type":"string"},"version":{"description":"The version of the record.","type":"number"}},"required":["id","version","attributeDefinitions","items"],"title":"LookupRecord","type":"object","description":"LookupRecord"},"LookupAttributeDefinitions":{"properties":{},"title":"LookupAttributeDefinitions","type":"object","description":"LookupAttributeDefinitions"},"LookupRecordItemStripped":{"properties":{"id":{"description":"Unique identifier for the lookup record item.","type":"string"},"values":{"description":"Array of attribute-value pairs for the lookup record item.","items":{"$ref":"#/components/schemas/LookupRecordItemValue"},"type":"array"}},"required":["values","id"],"title":"LookupRecordItemStripped","type":"object","description":"LookupRecordItemStripped"},"LookupRecordItemValue":{"properties":{"attributeId":{"description":"Identifier of the attribute.","maxLength":100,"minLength":1,"type":"string"},"attributeValue":{"anyOf":[{"maxLength":150,"minLength":1,"type":"string"},{"type":"number"},{"enum":[null]}],"description":"Value of the attribute (can be string, number, or null)."}},"required":["attributeId","attributeValue"],"title":"LookupRecordItemValue","type":"object","description":"LookupRecordItemValue"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/lookuprecords/{recordId}":{"delete":{"deprecated":false,"description":"Deletes a single lookup record using its unique identifier.","operationId":"deleteLookupRecord","parameters":[{"in":"path","name":"recordId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LookupRecord"}}},"description":"Successfully deleted the lookup record."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Delete a lookup record by its ID","tags":["Checkout Options (DOMS)"]}}}}
```

## Create checkout options

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Evaluate a checkout options input against the DOMS.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints used by shops to get the current available pickup stores and available service levels like Same-Day delivery.","name":"Checkout Options (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CheckoutOptionsInput":{"properties":{"consumerAddress":{"allOf":[{"$ref":"#/components/schemas/CheckoutOptionsConsumerAddress"}],"description":"Consumer address"},"customAttributes":{"additionalProperties":true,"description":"Custom attributes for filtering","type":"object"},"customServices":{"items":{"$ref":"#/components/schemas/CustomServiceReference"},"type":"array"},"deliveryPreferences":{"$ref":"#/components/schemas/DeliveryPreferences","description":"Delivery preferences"},"filterDuplicates":{"description":"Filter duplicate facilities","type":"boolean"},"geoFence":{"$ref":"#/components/schemas/GeoFence","description":"Geofence restrictions"},"orderLineItems":{"description":"Order line items","items":{"type":"object"},"type":"array"},"tags":{"description":"Tags","items":{"type":"object"},"type":"array"}},"required":["deliveryPreferences","orderLineItems"],"title":"CheckoutOptionsInput","type":"object","description":"CheckoutOptionsInput"},"CheckoutOptionsConsumerAddress":{"properties":{"addressType":{"description":"Type of address","enum":["POSTAL_ADDRESS","PARCEL_LOCKER","INVOICE_ADDRESS"],"type":"string"},"city":{"description":"City name","type":"string"},"country":{"description":"Country code","type":"string"},"houseNumber":{"description":"House number","type":"string"},"postalCode":{"description":"Postal code","type":"string"},"province":{"description":"Province or state","type":"string"},"street":{"description":"Street name","type":"string"}},"required":["country"],"title":"CheckoutOptionsConsumerAddress","type":"object","description":"CheckoutOptionsConsumerAddress"},"CustomServiceReference":{"properties":{"articleItems":{"items":{"$ref":"#/components/schemas/ArticleItem"},"type":"array"},"customServiceDefinition":{"$ref":"#/components/schemas/CustomServiceDefinition"},"customServiceItems":{"items":{"$ref":"#/components/schemas/CustomServiceItem"},"type":"array"},"id":{"type":"string"}},"required":["customServiceDefinition","articleItems","customServiceItems","id"],"type":"object","title":"CustomServiceReference","description":"CustomServiceReference"},"ArticleItem":{"additionalProperties":false,"properties":{"quantity":{"minimum":1,"type":"number"},"tenantArticleRef":{"type":"string"}},"required":["quantity","tenantArticleRef"],"type":"object","title":"ArticleItem","description":"ArticleItem"},"CustomServiceDefinition":{"properties":{"additionalInformation":{"description":"Additional information necessary to fulfil the custom service","items":{"properties":{"additionalInformationRef":{"description":"A reference to the specific additional information of the custom service","type":"string"},"tenantAdditionalInformationId":{"description":"The id of the tenant specific additional information","type":"string"},"value":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"}],"description":"The value of the additional information"}},"required":["additionalInformationRef"],"type":"object"},"type":"array"},"customAttributes":{"description":"Attributes that can be added to the consumer. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"customServiceRef":{"description":"A reference to the custom service to be applied to the orderline items","type":"string"},"isBundled":{"description":"if true all articles below this service are intrpreted as a bundle","type":"boolean"},"tenantCustomServiceId":{"description":"The id of the tenant specific custom service","type":"string"}},"type":"object","title":"CustomServiceDefinition","description":"CustomServiceDefinition"},"CustomServiceItem":{"allOf":[{"$ref":"#/components/schemas/CustomServiceItemForCreation"}],"properties":{"customServiceItems":{"items":{"$ref":"#/components/schemas/CustomServiceItem"},"type":"array"},"id":{"type":"string"}},"required":["id","customServiceItems","articleItems","customServiceDefinition"],"type":"object","title":"CustomServiceItem","description":"CustomServiceItem"},"CustomServiceItemForCreation":{"additionalProperties":false,"properties":{"articleItems":{"items":{"$ref":"#/components/schemas/ArticleItem"},"type":"array"},"customServiceDefinition":{"$ref":"#/components/schemas/CustomServiceDefinition"},"customServiceItems":{"items":{"$ref":"#/components/schemas/CustomServiceItemForCreation"},"type":"array"}},"required":["customServiceItems","articleItems","customServiceDefinition"],"type":"object","title":"CustomServiceItemForCreation","description":"CustomServiceItemForCreation"},"DeliveryPreferences":{"additionalProperties":false,"properties":{"collect":{"items":{"$ref":"#/components/schemas/CollectDelivery"},"maxItems":1,"type":"array"},"reservationPreferences":{"$ref":"#/components/schemas/DeliveryReservationPreferences"},"shipping":{"$ref":"#/components/schemas/DeliveryPreferencesShipping"},"sourcingOptionRefs":{"description":"Id of the SourcingOptions","items":{"description":"Reference of a SourcingOptions","type":"string"},"type":"array"},"supplyingFacilities":{"description":"@deprecated Use supplyingFacilities under collect","items":{"description":"Reference of a Facility","type":"string"},"type":"array"},"targetTime":{"description":"At which time the result is expected.","format":"date-time","type":"string"}},"type":"object","title":"DeliveryPreferences","description":"DeliveryPreferences"},"CollectDelivery":{"anyOf":[{"required":["facilityRef"]},{"required":["tenantFacilityId"]}],"properties":{"facilityRef":{"description":"Reference to the facility where the consumer expects to collect the items","type":"string"},"paid":{"default":false,"description":"Indicates if the order is already paid.","type":"boolean"},"provisioningTime":{"description":"The point in time by which the order is supposed to be provisioned.","format":"date-time","type":"string"},"supplyingFacilities":{"deprecated":true,"description":"@deprecated Use supplyingFacilitiesConfigurations","items":{"description":"Reference of a Facility.","type":"string"},"type":"array"},"supplyingFacilitiesConfigurations":{"description":"References of facility that could supply contents of the order to another facility with specific configuration of its usage","items":{"$ref":"#/components/schemas/SupplyingFacilityConfiguration"},"type":"array"},"tenantFacilityId":{"description":"Reference to the facility where the consumer expects to collect the items.","type":"string"}},"type":"object","title":"CollectDelivery","description":"CollectDelivery"},"SupplyingFacilityConfiguration":{"anyOf":[{"required":["facilityRef"]},{"required":["tenantFacilityId"]}],"properties":{"deliveryEvents":{"items":{"$ref":"#/components/schemas/DeliveryEvent"},"type":"array"},"facilityRef":{"description":"ID of the facility.","type":"string"},"tenantFacilityId":{"description":"Reference to the facility.","type":"string"}},"required":["deliveryEvents"],"title":"SupplyingFacilityConfiguration","description":"SupplyingFacilityConfiguration"},"DeliveryEvent":{"properties":{"deliveryTarget":{"$ref":"#/components/schemas/DeliveryTarget"},"deliveryTrigger":{"enum":["DEFAULT"],"type":"string"}},"required":["deliveryTarget","deliveryTrigger"],"title":"DeliveryEvent","description":"DeliveryEvent"},"DeliveryTarget":{"description":"The destination for a delivery","enum":["SHIP_TO_STORE","SHIP_TO_CUSTOMER"],"type":"string","title":"DeliveryTarget"},"DeliveryReservationPreferences":{"properties":{"mode":{"$ref":"#/components/schemas/DeliveryReservationMode"},"reservationTime":{"format":"date-time","type":"string"}},"required":["mode"],"type":"object","title":"DeliveryReservationPreferences","description":"DeliveryReservationPreferences"},"DeliveryReservationMode":{"enum":["SCHEDULED","ASAP","ALAP"],"title":"DeliveryReservationMode","description":"DeliveryReservationMode"},"DeliveryPreferencesShipping":{"properties":{"carrierProductCategory":{"$ref":"#/components/schemas/CarrierProductCategory"},"desiredDeliveryTime":{"format":"date-time","type":"string"},"preferredCarriers":{"items":{"$ref":"#/components/schemas/PreferredCarrier"},"type":"array"},"preferredCarriersWithProduct":{"items":{"$ref":"#/components/schemas/PreferredCarrierWithProduct"},"type":"array"},"preselectedFacilities":{"items":{"$ref":"#/components/schemas/PreselectedFacility"},"type":"array"},"serviceLevel":{"description":"DELIVERY: The parcel will reach the recipient according to the cycle time of the carrier, typically 1-3 days when shipping nationaly. SAMEDAY: The parcel will reach the recipient the same day when ordering.","enum":["DELIVERY","SAMEDAY"],"type":"string"}},"type":"object","title":"DeliveryPreferencesShipping","description":"DeliveryPreferencesShipping"},"CarrierProductCategory":{"description":"Desired product class to choose when ordering a label, this is not a carrier specific value","enum":["STANDARD","EXPRESS","VALUE","FORWARDING"],"type":"string","title":"CarrierProductCategory"},"PreferredCarrier":{"description":"Keys of the preferred carriers to handle out the order","type":"string","title":"PreferredCarrier"},"PreferredCarrierWithProduct":{"additionalProperties":false,"properties":{"carrierKey":{"type":"string"},"carrierProduct":{"type":"string"},"carrierServices":{"items":{"$ref":"#/components/schemas/CarrierServices"},"type":"array"}},"required":["carrierKey"],"title":"PreferredCarrierWithProduct","description":"PreferredCarrierWithProduct"},"CarrierServices":{"description":"Services which should be booked from carrier","enum":["SIGNATURE","CUSTOMER_SIGNATURE","ADULT_SIGNATURE","SATURDAY_DELIVERY","IDENTITY_CHECK_COMPANY","IDENTITY_CHECK_PRIVATE","ADDITIONAL_TRANSPORTATION_INSURANCE"],"type":"string","title":"CarrierServices"},"PreselectedFacility":{"anyOf":[{"required":["facilityRef"]},{"required":["tenantFacilityId"]}],"properties":{"facilityRef":{"description":"Reference to the facility which is supposed to fulfill the order.","type":"string"},"tenantFacilityId":{"description":"Reference to the facility which is supposed to fulfill the order.","type":"string"}},"type":"object","title":"PreselectedFacility","description":"PreselectedFacility"},"GeoFence":{"description":"Center (described with lon and lat attributes) and a circular geofence (described as radius around the center)","properties":{"lat":{"description":"The latitude of the center, provided as decimal coordinate","type":"number"},"lon":{"description":"The longitude of the center, provided as decimal coordinate","type":"number"},"radius":{"description":"Radius around the center in kilometers (km, max. 100)","minimum":1,"type":"number"}},"required":["lat","lon","radius"],"type":"object","title":"GeoFence"},"ResponseForCNCCheckoutOptions":{"properties":{"facilities":{"description":"Facilities offering Click & Collect (CNC)","items":{"$ref":"#/components/schemas/CheckoutOptionsFacilityForCNC"},"type":"array"}},"required":["facilities"],"title":"ResponseForCNCCheckoutOptions","type":"object","description":"ResponseForCNCCheckoutOptions"},"CheckoutOptionsFacilityForCNC":{"properties":{"address":{"$ref":"#/components/schemas/FacilityAddress"},"availabilities":{"description":"Article availabilities","items":{"$ref":"#/components/schemas/CheckoutOptionsAvailability"},"type":"array"},"closingDays":{"items":{"$ref":"#/components/schemas/ClosingDay"},"type":"array"},"customServices":{"description":"Custom services","items":{"$ref":"#/components/schemas/CheckoutOptionsCustomServices"},"type":"array"},"facilityRef":{"description":"Facility reference","type":"string"},"name":{"description":"Facility name","type":"string"},"pickingTimes":{"$ref":"#/components/schemas/PickingTimes"},"targetTime":{"description":"Target time for collection","format":"date-time","type":"string"}},"required":["facilityRef","name","address","closingDays","pickingTimes","availabilities","customServices","targetTime"],"title":"CheckoutOptionsFacilityForCNC","type":"object","description":"CheckoutOptionsFacilityForCNC"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZoneForCreation","description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"CheckoutOptionsAvailability":{"properties":{"available":{"description":"Available quantity","type":"number"},"carrier":{"allOf":[{"$ref":"#/components/schemas/CheckoutOptionsAvailabilityCarrier"}],"description":"Carrier details"},"isBackOrderable":{"description":"Is item back-orderable","type":"boolean"},"latestPickingStart":{"description":"Latest picking start","format":"date-time","type":"string"},"preOrderReleaseDate":{"description":"Pre-order release date","format":"date-time","type":"string"},"tenantArticleId":{"description":"Tenant article ID","type":"string"}},"required":["tenantArticleId","available","isBackOrderable"],"title":"CheckoutOptionsAvailability","type":"object","description":"CheckoutOptionsAvailability"},"CheckoutOptionsAvailabilityCarrier":{"properties":{"carrierProductCategory":{"description":"Carrier product category","enum":["STANDARD","EXPRESS","VALUE","FORWARDING"],"type":"string"},"carrierRef":{"description":"Carrier reference","type":"string"}},"required":["carrierRef"],"title":"CheckoutOptionsAvailabilityCarrier","type":"object","description":"CheckoutOptionsAvailabilityCarrier"},"ClosingDay":{"description":"At this day the facility is closed and does not do picking","properties":{"date":{"description":"The day at which the Facility is closed","format":"date-time","type":"string"},"reason":{"description":"The reason why the Facility is closed on this day","type":"string"},"recurrence":{"enum":["YEARLY","NONRECURRING"],"type":"string"}},"required":["reason","date","recurrence"],"type":"object","title":"ClosingDay"},"CheckoutOptionsCustomServices":{"properties":{"customServiceRef":{"description":"Custom service reference","type":"string"},"name":{"description":"Custom service name","type":"string"}},"required":["customServiceRef","name"],"title":"CheckoutOptionsCustomServices","type":"object","description":"CheckoutOptionsCustomServices"},"PickingTimes":{"description":"Time ranges defining the picking times per weekday. No overlapping ranges are allowed. There must be no overlaps for time ranges on a day","properties":{"friday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"monday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"saturday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"sunday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"thursday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"tuesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"wednesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"}},"type":"object","title":"PickingTimes"},"TimeRange":{"properties":{"capacity":{"minimum":0,"type":"number"},"end":{"$ref":"#/components/schemas/TimeStamp"},"start":{"$ref":"#/components/schemas/TimeStamp"}},"required":["start","end"],"type":"object","title":"TimeRange","description":"TimeRange"},"TimeStamp":{"properties":{"hour":{"maximum":23,"minimum":0,"type":"number"},"minute":{"maximum":59,"minimum":0,"type":"number"}},"required":["hour","minute"],"type":"object","title":"TimeStamp","description":"TimeStamp"},"ResponseForSFSCheckoutOptions":{"properties":{"facilities":{"description":"Facilities offering Ship From Store (SFS)","items":{"$ref":"#/components/schemas/CheckoutOptionsFacilityForSFS"},"type":"array"}},"required":["facilities"],"title":"ResponseForSFSCheckoutOptions","type":"object","description":"ResponseForSFSCheckoutOptions"},"CheckoutOptionsFacilityForSFS":{"properties":{"availabilities":{"description":"Article availabilities","items":{"$ref":"#/components/schemas/CheckoutOptionsAvailability"},"type":"array"},"customServices":{"description":"Custom services","items":{"$ref":"#/components/schemas/CheckoutOptionsCustomServices"},"type":"array"},"deliveryOptions":{"items":{"$ref":"#/components/schemas/PromiseCarrier"},"type":"array"},"facilityRef":{"description":"Facility reference","type":"string"},"name":{"description":"Facility name","type":"string"}},"required":["facilityRef","name","availabilities","deliveryOptions","customServices"],"title":"CheckoutOptionsFacilityForSFS","type":"object","description":"CheckoutOptionsFacilityForSFS"},"PromiseCarrier":{"additionalProperties":false,"properties":{"carrierKey":{"type":"string"},"carrierName":{"type":"string"},"carrierRef":{"type":"string"},"deliveryPromiseValidUntil":{"format":"date-time","type":"string"},"products":{"items":{"$ref":"#/components/schemas/PromiseDeliveryOptions"},"type":"array"}},"required":["carrierRef","carrierKey","carrierName","products"],"type":"object","xml":{"name":"PromiseCarrier"},"title":"PromiseCarrier","description":"PromiseCarrier"},"PromiseDeliveryOptions":{"additionalProperties":false,"properties":{"carrierProductCategory":{"$ref":"#/components/schemas/CarrierProductCategory"},"deliveryCosts":{"items":{"$ref":"#/components/schemas/DeliveryCost"},"type":"array"},"estimatedDeliveryTime":{"$ref":"#/components/schemas/EstimatedDeliveryTime"},"transitTime":{"$ref":"#/components/schemas/CarrierTransitTime"}},"required":["carrierProductCategory","deliveryCosts"],"type":"object","xml":{"name":"PromiseDeliveryOptions"},"title":"PromiseDeliveryOptions","description":"PromiseDeliveryOptions"},"DeliveryCost":{"additionalProperties":false,"properties":{"cost":{"description":"The cost of sending with a carrier","type":"number"},"currency":{"description":"currency as 3 letter iso code","pattern":"^[A-Z]{3}$","type":"string"}},"required":["cost","currency"],"type":"object","title":"DeliveryCost","description":"DeliveryCost"},"EstimatedDeliveryTime":{"properties":{"maxDeliveryDays":{"description":"Maximum total delivery time in days","minimum":0,"type":"integer"},"minDeliveryDays":{"description":"Minimum total delivery time in days","minimum":0,"type":"integer"}},"required":["maxDeliveryDays","minDeliveryDays"],"type":"object","title":"EstimatedDeliveryTime","description":"EstimatedDeliveryTime"},"CarrierTransitTime":{"properties":{"maxTransitDays":{"description":"Maximum days a carrier needs for transit","minimum":0,"type":"integer"},"minTransitDays":{"description":"Minimum days a carrier needs for transit","minimum":0,"type":"integer"}},"required":["maxTransitDays","minTransitDays"],"type":"object","title":"CarrierTransitTime","description":"CarrierTransitTime"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/promises/checkoutoptions":{"post":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Evaluate a checkout options input against the DOMS.","operationId":"postCheckoutOptions","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckoutOptionsInput"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ResponseForCNCCheckoutOptions"},{"$ref":"#/components/schemas/ResponseForSFSCheckoutOptions"}]}}},"description":"The request could be evaluated"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/
[...]
